> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beltic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Webhook Stream



## OpenAPI

````yaml POST /v1/audit/streams
openapi: 3.1.0
info:
  title: Beltic Credentials API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/audit/streams:
    post:
      tags:
        - Audit
      summary: Create a webhook subscription for audit events
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                event_filter:
                  type: array
                  items:
                    type: string
                  default: []
                secret:
                  type: string
                  minLength: 32
                  maxLength: 256
              required:
                - url
                - secret
      responses:
        '201':
          description: Stream created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  url:
                    type: string
                  event_filter:
                    type: array
                    items:
                      type: string
                  active:
                    type: boolean
                  created_at:
                    type: string
                required:
                  - id
                  - url
                  - event_filter
                  - active
                  - created_at

````